Go to the latest version of this document.

# ``twisted`.`names`.`error`.`DomainError``

exception documentation

`class DomainError(ValueError): (source)`

Known subclasses: `twisted.names.error.DNSFormatError`, `twisted.names.error.DNSNameError`, `twisted.names.error.DNSNotImplementedError`, `twisted.names.error.DNSQueryRefusedError`, `twisted.names.error.DNSServerError`, `twisted.names.error.DNSUnknownError`

View In Hierarchy

Indicates a lookup failed because there were no records matching the given `name, class, type` triple.